Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.io.object
Interface Input

All Known Implementing Classes:
  Input, Input, Input

    public interface Input

Interface for Input which defines the contract methods which are to be implemented. Input object provides ways to read primitives, complex object and object references from byte buffer.

Author:
  The Red5 Project (red5@osflash.org), Luke Hubbard, Codegent Ltd (luke@codegent.com)

Method Summary
`void` | `clearReferences()` Clears all references
`String` | `getString()` Read a string without the string type header.
`Object` | `readArray(Deserializer deserializer, Type target)` Read an array.
`Boolean` | `readBoolean(Type target)` Read Boolean value
`ByteArray` | `readByteArray(Type target)` Read ByteArray object.
`Object` | `readCustom(Type target)` Read custom object
`byte` | `readDataType()` Read type of data
`Date` | `readDate(Type target)` Read date object
`Map<String,Object>` | `readKeyValues(Deserializer deserializer)` Read key - value pairs.
`Object` | `readMap(Deserializer deserializer, Type target)` Read a map containing key - value pairs.
`Object` | `readNull(Type target)` Read Null data type
`Number` | `readNumber(Type target)` Read Number object
`Object` | `readObject(Deserializer deserializer, Type target)` Read an object.
`Object` | `readReference(Type target)` Read reference to Complex Data Type.
`String` | `readString(Type target)` Read String object
`Document` | `readXML(Type target)` Read XML document

Method Detail

### readDataType

    byte readDataType()

  Read type of data

  Returns:
    Type of data as byte

### getString

    String getString()

  Read a string without the string type header.

  Returns:
    String

### readNull

    Object readNull(Type target)

  Read Null data type

  Parameters:
    `target` - target type
  Returns:
    Null datatype (AS)

### readBoolean

    Boolean readBoolean(Type target)

  Read Boolean value

  Parameters:
    `target` - target type
  Returns:
    Boolean

### readNumber

    Number readNumber(Type target)

  Read Number object

  Parameters:
    `target` - target type
  Returns:
    Number

### readString

    String readString(Type target)

  Read String object

  Parameters:
    `target` - target type
  Returns:
    String

### readDate

    Date readDate(Type target)

  Read date object

  Parameters:
    `target` - target type
  Returns:
    Date

### readArray

    Object readArray(Deserializer deserializer,
                     Type target)

  Read an array. This can result in a List or Map being deserialized depending on the array type found.

  Parameters:
    `deserializer` - deserializer
    `target` - target type
  Returns:
    array

### readMap

    Object readMap(Deserializer deserializer,
                   Type target)

  Read a map containing key - value pairs. This can result in a List or Map being deserialized depending on the map type found.

  Parameters:
    `deserializer` - deserializer
    `target` - target type
  Returns:
    Map

### readObject

    Object readObject(Deserializer deserializer,
                      Type target)

  Read an object.

  Parameters:
    `deserializer` - deserializer
    `target` - target type
  Returns:
    object

### readXML

    Document readXML(Type target)

  Read XML document

  Parameters:
    `target` - target type
  Returns:
    XML DOM document

### readCustom

    Object readCustom(Type target)

  Read custom object

  Parameters:
    `target` - target type
  Returns:
    Custom object

### readByteArray

    ByteArray readByteArray(Type target)

  Read ByteArray object.

  Parameters:
    `target` - target type
  Returns:
    ByteArray object

### readReference

    Object readReference(Type target)

  Read reference to Complex Data Type. Objects that are collaborators (properties) of other objects must be stored as references in map of id-reference pairs.

  Parameters:
    `target` - target type
  Returns:
    object

### clearReferences

    void clearReferences()

  Clears all references

### readKeyValues

    Map<String,Object> readKeyValues(Deserializer deserializer)

  Read key - value pairs. This is required for the RecordSet deserializer.

  Parameters:
    `deserializer` - deserializer
  Returns:
    key-value pairs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project